Bug 755580 - Unable to add 2nd file-system drift
Unable to add 2nd file-system drift
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: drift (Show other bugs)
unspecified
Unspecified Unspecified
high Severity urgent (vote)
: ---
: RHQ 4.3.0
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: 707225 rhq-uxd 756155 jon30-sprint10/rhq43-sprint10
  Show dependency treegraph
 
Reported: 2011-11-21 09:26 EST by Libor Zoubek
Modified: 2015-11-01 19:42 EST (History)
3 users (show)

See Also:
Fixed In Version: 4.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 756155 (view as bug list)
Environment:
Last Closed: 2013-08-31 06:10:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2011-11-21 09:26:36 EST
Description of problem:


Version-Release number of selected component (if applicable):
JON 3.0.0.CR2
Build Number: 0a92497:a16c2ea

How reproducible: always


Steps to Reproduce:
1. have 1 file-system drift (watching /opt/drifts)
2. add 2nd file-system drift (watching /tmp) on same platform
  
Actual results: it fails with error saying : 

javax.ejb.EJBException:java.lang.IllegalArgumentException: You cannot change an existing drift definition's base directory or includes/excludes filters. -> java.lang.IllegalArgumentException:You cannot change an existing drift definition's base directory or includes/excludes filters.


Expected results:
2nd drift is added
Comment 1 Mike Foley 2011-11-22 10:36:48 EST
okay ... i see what is going on here.

...not changing to a unique name on the 2nd drift definition ... is causing this problem.

#1) it is possible to add a 2nd file-system drift
#2) this is still an issue ... a negative test around creating a 2nd drift with the same name as the first ...
Comment 2 Jay Shaughnessy 2011-11-22 10:39:18 EST
I wonder perhaps if we should just leave the name field blank when
creating a new definition or template.  Pre-filling with the name of
the existing template leads to these sorts of issues.
Comment 3 Jay Shaughnessy 2011-11-23 11:56:34 EST
This is not a bug, I think.  If you like make it an RFE and move it out
of sprint9 blocker list.
Comment 4 Mike Foley 2011-11-23 13:36:31 EST
i agree that there is no functionality provided to change or increment or somehow make the name of new drift definitions unique, and adding that functionality would indeed be an RFE.  however, i think this is still a bug ... on a negative test where you add a drift definition with the same name as an existing drift defintion.  in this situation, the error message provided is confusing and does not in any way indicate what the issue is ...  i will remove the sprint #9 blocker as requested and add a blocker on usability tracker
Comment 5 Jay Shaughnessy 2011-12-09 14:44:34 EST
master commit cfe30b134dd06cca8d22c0eacdc994a6021a73f4

The drift definition name and description are no longer preset to the
template name and description.  The user will now need to enter a
name.  This should help prevent duplicate names, or mistakenly using the
template's name.  Also, the exception thrown on duplicate naming has
been updated to indicate that that may in fact be the problem.
Comment 6 Sunil Kondkar 2011-12-12 04:40:44 EST
Verified on latest master build#827 (Version: 4.3.0-SNAPSHOT Build Number:
0753aae)

Verified that while creating a new drift definition, drift definition name and description does not preset to the template name and description. User has to enter a drift definition name and the description.

If user tries to enter a duplicate drift definition name, the exception indicates it as below:


2011-12-12 15:01:09,447 WARN  [gwt-log] Sending exception to client: [1323682269445] 
javax.ejb.EJBException: java.lang.IllegalArgumentException: A new definition must have a unique name. An existing definition cannot update it's base directory or includes/excludes filters.
Comment 7 Heiko W. Rupp 2013-08-31 06:10:04 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.